<?php
/**
 * @copyright	Copyright (c) 2015 Image Zoom. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');


/**
 * system - imagezoom Plugin
 *
 * @package		Joomla.Plugin
 * @subpakage	ImageZoom.imagezoom
 */
class plgsystemimagezoom extends JPlugin {

	/**
	 * Constructor.
	 *
	 * @param 	$subject
	 * @param	array $config
	 */
	function __construct(&$subject, $config = array()) {
		// call parent constructor
		parent::__construct($subject, $config);
	}
	
	function onBeforeRender()
	{
		$app = JFactory::getApplication()->input;

		if ($app->get('option') == "com_virtuemart" && $app->get('view') == "productdetails")
		{
			$document = JFactory::getDocument();
			// Get plugin 'my_plugin' of plugin type 'my_plugin_type'
			 $plugin = JPluginHelper::getPlugin('system', 'imagezoom');
 	
// Check if plugin is enabled
			
    // Get plugin params


   			 $pluginParams = new JRegistry($plugin->params);
 
    		 $zoomtype = $pluginParams->get('Zoomtype'); 

    			$zoomshape = $pluginParams->get('ZoomShape');
    		$lenssize = $pluginParams->get('lenssize');
    		$lensfadein = $pluginParams->get('lensFadeIn');
    		$lensfadeout = $pluginParams->get('lensFadeout');

			$document->addScript(JUri::root()."media/plg_imagezoom/zoom.min.js");
			
			$document->addScriptDeclaration("
					jQuery(document).ready(function(){
					var imgtag = jQuery('.main-image').children().children();
					
					var mainImgSrc = jQuery(imgtag).attr('src');
					
					jQuery(imgtag).attr('id','zoom_02');
					
					jQuery(imgtag).attr('data-zoom-image',mainImgSrc);
					

					
				");

			if ($zoomtype=="lens") 
			{
				$document->addScriptDeclaration("
					jQuery('.main-image').append('<input type=hidden class=shape name=$zoomshape value=$zoomshape  >');
					var shape = jQuery('.shape').val();
					
					jQuery('.main-image').append('<input type=hidden class=size name=$lenssize value=$lenssize  >');
					var size = jQuery('.size').val();
			
					jQuery('.main-image').append('<input type=hidden class=lensfadein name=$lensfadein value=$lensfadein  >');
					var lensfadein = jQuery('.lensfadein').val();
				
					jQuery('.main-image').append('<input type=hidden class=lensfadeout name=$lensfadeout value=$lensfadeout  >');
					var lensfadeout = jQuery('.lensfadeout').val();
					
									
					jQuery('#zoom_02').elevateZoom({ zoomWindowFadeIn: 1000, zoomWindowFadeOut: 1000, zoomType:'lens',lensShape:shape,lensSize:size,lensFadeIn:lensfadein,lensFadeOut:lensfadeout}); 
					
					jQuery('.product-image').click(function(){
						var imagesrc = jQuery(this).next().attr('href');
						jQuery('.zoomLens').css('background-image','url('+imagesrc+')');
							});

				});
				");
			}

			else
			{
				$document->addScriptDeclaration("
					jQuery('.main-image').append('<input type=hidden class=shape name=$zoomshape value=$zoomshape  >');
					var shape = jQuery('.shape').val();
					
					jQuery('.main-image').append('<input type=hidden class=size name=$lenssize value=$lenssize  >');
					var size = jQuery('.size').val();
			
					jQuery('.main-image').append('<input type=hidden class=lensfadein name=$lensfadein value=$lensfadein  >');
					var lensfadein = jQuery('.lensfadein').val();
				
					jQuery('.main-image').append('<input type=hidden class=lensfadeout name=$lensfadeout value=$lensfadeout  >');
					var lensfadeout = jQuery('.lensfadeout').val();
										


					jQuery('#zoom_02').elevateZoom({ zoomWindowFadeIn: 1000, zoomWindowFadeOut: 1000, lensShape:shape,lensSize:size,lensFadeIn:lensfadein,lensFadeOut:lensfadeout});
					
					jQuery('.product-image').click(function(){
						var imagesrc = jQuery(this).next().attr('href');
						jQuery('.zoomWindow').css('background-image','url('+imagesrc+')');
							});

						});
				");
			}
			
		}
	}
}

